sensorfw: RotationSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
RotationSensorChannel Class Reference

Sensor providing device rotation around axes. More...

`#include <rotationsensor.h>`

Inheritance diagram for RotationSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const XYZ &data)
| Sent when new measurement data has become available. More...

## Public Member Functions
XYZ | rotation () const
bool | hasZ () const
virtual unsigned int | interval () const
virtual bool | setInterval (unsigned int value, int sessionId)
virtual void | removeSession (int sessionId)
virtual bool | downsamplingSupported () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for RotationSensorChannel. More...

## Protected Member Functions
| RotationSensorChannel (const QString &id)
virtual | ~RotationSensorChannel ()

## Properties
XYZ | rotation
bool | hasZ

## Detailed Description

Sensor providing device rotation around axes.

Definition at line 44 of file rotationsensor.h.

## Constructor & Destructor Documentation

## ◆ RotationSensorChannel()

RotationSensorChannel::RotationSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~RotationSensorChannel()

virtual RotationSensorChannel::~RotationSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void RotationSensorChannel::dataAvailable | ( | const XYZ & | data | ) |
| signal

Sent when new measurement data has become available.

Parameters

  data | Newly measured data.

## ◆ downsamplingSupported()

virtual bool RotationSensorChannel::downsamplingSupported | ( |  | ) | const
| virtual

## ◆ factoryMethod()

static AbstractSensorChannel* RotationSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for RotationSensorChannel.

Returns
  new RotationSensorChannel as AbstractSensorChannel*.

Definition at line 57 of file rotationsensor.h.

## ◆ hasZ()

bool RotationSensorChannel::hasZ | ( |  | ) | const
| inline

Definition at line 70 of file rotationsensor.h.

## ◆ interval()

virtual unsigned int RotationSensorChannel::interval | ( |  | ) | const
| virtual

## ◆ removeSession()

virtual void RotationSensorChannel::removeSession | ( | int | sessionId | ) |
| virtual

## ◆ rotation()

XYZ RotationSensorChannel::rotation | ( |  | ) | const
| inline

Definition at line 65 of file rotationsensor.h.

## ◆ setInterval()

virtual bool RotationSensorChannel::setInterval | ( | unsigned int | value,
|  | int | sessionId
| ) |  |
| virtual

## ◆ start

bool RotationSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool RotationSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ hasZ

bool RotationSensorChannel::hasZ
| read

Definition at line 1 of file rotationsensor.h.

## ◆ rotation

XYZ RotationSensorChannel::rotation
| read

Definition at line 1 of file rotationsensor.h.

The documentation for this class was generated from the following file:

- sensors/rotationsensor/rotationsensor.h